/// <reference types="node" />
import { URL } from 'url';
import { Log } from './log';
import { Request as RequestUtil } from 'hsutil';
import { Options } from 'hsutil';
import { Response } from 'hsutil';
export { Response } from 'hsutil';
export declare class Request extends RequestUtil {
    protected Log: typeof Log;
    constructor();
    setLogFile(file: string): void;
    cache: string;
    protected getURL(url: string | URL): URL;
    cacheName: (options: Options) => string;
    protected readCached(fname: string): Promise<Response>;
    protected writeCached(fname: string, response: Response): Promise<void>;
    protected requestOptions(options: Options, useCached: boolean, postData?: any): Promise<Response>;
    protected issueRequest(options: Options, postData?: any): Promise<Response>;
}
