export declare function realPath(thePath: string): Promise<string>;
export declare function realPathSync(thePath: string): string;
export declare function pathExists(thePath: string): Promise<boolean>;
export declare function pathExistsSync(thePath: string): boolean;
export declare function fileSize(thePath: string): Promise<number>;
export declare function fileSizeSync(thePath: string): number;
export declare function isFile(thePath: string): Promise<boolean>;
export declare function isFileSync(thePath: string): boolean;
export declare function isDirectory(thePath: string): Promise<boolean>;
export declare function isDirectorySync(thePath: string): boolean;
export declare function isLink(thePath: string): Promise<boolean>;
export declare function isLinkSync(thePath: string): boolean;
export declare function mkdirs(thePath: string): Promise<string>;
export declare function mkdirsSync(thePath: string): string;
export declare function readDir(thePath: string): Promise<string[]>;
export declare function readDirSync(thePath: string): string[];
export declare function readFile(thePath: string, isText?: boolean): Promise<any>;
export declare function readFileSync(thePath: string, isText?: boolean): any;
export declare function readTextFile(thePath: string): Promise<string>;
export declare function readTextFileSync(thePath: string): string;
export declare function readJsonFile(thePath: string): Promise<any>;
export declare function readJsonFileSync(thePath: string): any;
export declare function writeFile(thePath: string, content: string, isText?: boolean): Promise<string>;
export declare function writeFileSync(thePath: string, content: string, isText?: boolean): string;
export declare function writeStream(thePath: string, content: string): Promise<string>;
export declare function writeTextFile(thePath: string, content: string): Promise<string>;
export declare function writeTextFileSync(thePath: string, content: string): string;
export declare function writeJsonFile(thePath: string, obj: any): Promise<string>;
export declare function writeJsonFileSync(thePath: string, obj: any): string;
export declare function appendFile(thePath: string, content: string, isText?: boolean): Promise<string>;
export declare function appendFileSync(thePath: string, content: string, isText?: boolean): string;
export declare function remove(thePath: string): Promise<string>;
export declare function removeSync(thePath: string): string;
export declare function removeAll(thePath: string): Promise<string[]>;
export declare function removeAllSync(thePath: string): string[];
